%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global oname jboss-json-api_1.0_spec

Name:          jboss-json-1.0-api
Version:       1.0.0
Release:       1%{?dist}
Summary:       JBoss Java APIs for JSON Processing
# Source files without license headers https://github.com/jboss/jboss-json-api_spec/issues/5
License:       CDDL or GPLv2 with exceptions
URL:           https://github.com/jboss/jboss-json-api_spec
Source0:       https://github.com/jboss/jboss-json-api_spec/archive/%{oname}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)

BuildArch:     noarch

%description
JBoss Java APIs for JSON Processing.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jboss-json-api_spec-%{oname}-%{namedversion}

# Unneeded plugin
%pom_remove_plugin :maven-source-plugin

# Incorrect Free Software Foundation address https://github.com/jboss/jboss-json-api_spec/issues/4
sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," LICENSE

%mvn_file :%{oname} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%doc README
%license LICENSE

%changelog
* Tue Jun 28 2016 gil cattaneo <puntogil@libero.it> 1.0.0-1
- initial rpm
